package com.abssqr.plat.common.facade.service.ast;

import com.abssqr.plat.common.facade.param.ast.AstDownLoadParam;
import com.abssqr.plat.common.facade.param.ast.AstPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstLoanVO;

import javax.servlet.Servlet;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.OutputStream;

public interface AstService {
    /**
     * 下载资产包下的资产列表
     * @param astDownLoadParam
     * @param response
     */
    void downLoadAstFile(AstDownLoadParam astDownLoadParam, HttpServletResponse response);

    /**
     * 查询资产列表
     * @param astPageQryParam
     * @return
     */
    BasePage<AstLoanVO> poolAstList(AstPageQryParam astPageQryParam);

    BasePage<AstLoanVO> packAstList(AstPageQryParam astPageQryParam);

    BasePage<AstLoanVO> packAddAstList(AstPageQryParam astPageQryParam);
}
